欢迎光临
我们一直在努力

关于shopex 4.9 php5.6版安装环境问题

估计有很多小伙伴都想在本地安装shopex 4.9尝尝鲜,但是配置环境是很麻烦的,偶用西数的虚拟主机也只能使用shopex 4.9 php5.3版本的,因为西部数码的虚拟主机(云峰B)php5.6下不支持。所以使用phpstudy本地测试。

phpstudy 2016版没有php5.6版,2014版有,但是php扩展里没有zend loader选项,ext文件夹里没有zend loader文件,可以在期官网下载,然后覆盖复制在ext文件夹里,还需要去php.ini(安装目录下php56n里)开通,代码如下[codee]
[opcache]
; Determines if Zend OPCache is enabled
;opcache.enable=0
zend_loader.enable=1
zend_extension=”D:\phpStudy\56\php56n\ext\ZendLoader.dll”
;opcache.enable=1(两个仅只能使用一个,不然会出现php cgi停止工作的问题)
;zend_extension=”D:\phpStudy\56\php56n\ext\php_opcache.dll”[/codee]
但是此时,运行安装程序还是会出cgi停止工作的问题,所以还需要更新php5.6的版本,最新的php5.6的版本是php5.6.25 ,官网下载(VC11 x86 Non Thread Safe)后直接覆盖php56n文件夹的文件,还有别忘了重启phpstudy的服务

赞(0) 打赏
未经允许不得转载:枣庄滕州小程序开发_wordpress主机SEO优化_滕州网站建设 -眼镜男网络 » 关于shopex 4.9 php5.6版安装环境问题
分享到: 更多 (0)

评论 抢沙发

评论前必须登录!